MKFS.BTRFS(8)

NAME
mkfs.btrfs - create an btrfs filesystem

SYNOPSIS
mkfs.btrfs [ -A alloc-start ] [ -b byte-count ] [ -d data-profile ] [ -l leafsize ] [ -L label ] [ -m metadata profile ] [ -n nodesize ] [ -s sectorsize ] [ -h ] [ -V ] device [ device ... ]

DESCRIPTION
mkfs.btrfs is used to create an btrfs filesystem (usually in a disk partition, or an array of disk partitions). device is the special file corresponding to the device (e.g /dev/sdXX ). If multiple devices are specified, btrfs is created spanning across the specified devices.

OPTIONS

-A, --alloc-start offset
    Specify the offset from the start of the device to start the btrfs filesystem. The default value is zero, or the start of the device.

-b, --byte-count size
    Specify the size of the resultant filesystem. If this option is not used, mkfs.btrfs uses all the available storage for the filesystem.

-d, --data type
    Specify how the data must be spanned across the devices specified. Valid values are raid0, raid1, raid10 or single.

-l, --leafsize size
    Specify the leaf size, the least data item in which btrfs stores data. The default value is the page size.

-L, --label name
    Specify a label for the filesystem.

-m, --metadata profile
    Specify how metadata must be spanned across the devices specified. Valid values are raid0, raid1, raid10 or single.

-n, --nodesize size
    Specify the nodesize. By default the value is set to the pagesize.

-s, --sectorsize size
    Specify the sectorsize, the minimum block allocation.

-V, --version
    Print the mkfs.btrfs version and exit.

AVAILABILITY
mkfs.btrfs is part of btrfs-progs. Btrfs is currently under heavy development, and not suitable for any uses other than benchmarking and review. Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for further details.

SEE ALSO
btrfsck(8)